ValueError: El argumento debe ser un tensor denso: Python y TensorFlow

Estoy extrayendo algunas partes de mi código que podrían ser relevantes para el problema que tengo:

from PIL import Image import tensorflow as tf data = Image.open('1-enhanced.png') ... ... raw_data = data raw_img = raw_data 

Recibo el siguiente mensaje largo que no estoy seguro de cómo analizar (¿tiene alguna idea de lo que está pasando aquí)?

 Traceback (most recent call last): File "C:\Python35\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 490, in apply_op preferred_dtype=default_dtype) File "C:\Python35\lib\site-packages\tensorflow\python\framework\ops.py", line 669, in convert_to_tensor ret = conversion_func(value, dtype=dtype, name=name, as_ref=as_ref) File "C:\Python35\lib\site-packages\tensorflow\python\framework\constant_op.py", line 176, in _constant_tensor_conversion_function return constant(v, dtype=dtype, name=name) File "C:\Python35\lib\site-packages\tensorflow\python\framework\constant_op.py", line 165, in constant tensor_util.make_tensor_proto(value, dtype=dtype, shape=shape, verify_shape=verify_shape)) File "C:\Python35\lib\site-packages\tensorflow\python\framework\tensor_util.py", line 376, in make_tensor_proto _GetDenseDimensions(values))) ValueError: Argument must be a dense tensor:  - got shape [150, 150], but wanted []. During handling of the above exception, another exception occurred: Traceback (most recent call last): File "conv_visuals.py", line 54, in  x = tf.reshape(raw_data, shape=[-1,150,150,1]) File "C:\Python35\lib\site-packages\tensorflow\python\ops\gen_array_ops.py", line 2448, in reshape name=name) File "C:\Python35\lib\site-packages\tensorflow\python\framework\op_def_library.py", line 503, in apply_op as_ref=input_arg.is_ref).dtype.name File "C:\Python35\lib\site-packages\tensorflow\python\framework\ops.py", line 669, in convert_to_tensor ret = conversion_func(value, dtype=dtype, name=name, as_ref=as_ref) File "C:\Python35\lib\site-packages\tensorflow\python\framework\constant_op.py", line 176, in _constant_tensor_conversion_function return constant(v, dtype=dtype, name=name) File "C:\Python35\lib\site-packages\tensorflow\python\framework\constant_op.py", line 165, in constant tensor_util.make_tensor_proto(value, dtype=dtype, shape=shape, verify_shape=verify_shape)) File "C:\Python35\lib\site-packages\tensorflow\python\framework\tensor_util.py", line 376, in make_tensor_proto _GetDenseDimensions(values))) ValueError: Argument must be a dense tensor:  - got shape [150, 150], but wanted []. 

Gracias.

Solo publicando el comentario ya que parece haber resuelto el problema:

Intenta convertirlo en una matriz numpy:

 numpy.asarray(Image.open('1-enhanced.png').convert('L'))